/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package calculator;

import org.apache.tuscany.sca.core.spring.context.SCADomainContext;

/**
 * This client program shows how to create an SCA runtime, start it, locate the
 * Calculator service and invoke it.
 *
 * @version $Rev: 655929 $ $Date: 2008-05-13 16:59:41 +0100 (Tue, 13 May 2008) $
 */
public class CalculatorClient {
    public static void main(String[] args) throws Exception {

        SCADomainContext context = new SCADomainContext("org/apache/tuscany/core/spring/Calculator.composite");

        CalculatorService calculatorService = context.getService(CalculatorService.class, "CalculatorServiceComponent");

        // Calculate
        System.out.println("3 + 2=" + calculatorService.add(3, 2));
        System.out.println("3 - 2=" + calculatorService.subtract(3, 2));
        System.out.println("3 * 2=" + calculatorService.multiply(3, 2));
        System.out.println("3 / 2=" + calculatorService.divide(3, 2));

    }
}
