/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.databinding.xmlbeans;

import org.apache.tuscany.sca.databinding.impl.BaseDataBinding;
import org.apache.tuscany.sca.interfacedef.DataType;
import org.apache.tuscany.sca.interfacedef.Operation;
import org.apache.xmlbeans.XmlObject;

/**
 * XMLBeans DataBinding
 *
 * @version $Rev: 665987 $ $Date: 2008-06-10 07:12:39 +0100 (Tue, 10 Jun 2008) $
 */
public class XMLBeansDataBinding extends BaseDataBinding {
    public static final String NAME = XmlObject.class.getName();
    public static final String[] ALIASES = { "xmlbeans" };
    
    public XMLBeansDataBinding() {
        super(NAME, XmlObject.class);
    }

    @Override
    public Object copy(Object object, DataType dataType, Operation operation) {
        return ((XmlObject) object).copy();
    }

}
